Jump to content

Questions for conversion


Recommended Posts

Hi guys,

I have a few questions regarding converting; asking them here, I 'googled' what I needed, but they're specific to my install.

 

I have a skin that I made on 2.1.935 and I'd like for the skin to run on that, as I'm more familiar with the syntax/templates. How hard is it to convert certain things? Here's the issues I have:

  1. On localhost:8080, there's various errors. Airports won't fetch data automatically (how can this be updated), and fleet cannot be added with a red bootstrap notice 'There was an error while adding fleet'.
  2. Google maps also do not work, will this suffice on DavidJClark/phpvms repository https://gist.github.com/nabeelio/8b7ab29fb67dfe27284d63d7136388dc
  3. Are these issues addressed in DavidJClark/phpvms repository ... or maybe is it worth starting from scratch with ProAviaAZ/phpvms repo ? Are they also addressed there ? Is this similar to the 2.1.935 version ?
  4. Is the skin conversion as easy as drag n drop to /lib/skins directory ?

 

Thanks for your time, always appreciated!

Link to post
Share on other sites
14 minutes ago, HighFlyerPL185 said:

I have a skin that I made on 2.1.935 and I'd like for the skin to run on that, as I'm more familiar with the syntax/templates. How hard is it to convert certain things?

Is there a reason you are wanting to upgrade versions (e.g. host forces a higher PHP version?), because otherwise if you have a working install then I wouldn't touch it too much.

 

With the actual upgrade, from phpVMS 2.x to phpVMS 5.5.x (or 5.5.2.72) it's pretty much just getting it to install with minimal errors and then changing your skin's template files from .tpl to .php. And inside any data classes in core/common (mostly any modules you have installed, the default files should already have this), making sure that the syntax is

public static function

instead of just public function.

 

 

20 minutes ago, HighFlyerPL185 said:

On localhost:8080, there's various errors. Airports won't fetch data automatically (how can this be updated),

This is a known issue (and has been for years since VACentral got changed), there isn't a preferred way to fix it right now. I think most people are still finding them manually and importing them via .csv. There's a bunch of forum posts about this.

 

21 minutes ago, HighFlyerPL185 said:

fleet cannot be added with a red bootstrap notice 'There was an error while adding fleet'.

What PHP version and MySQL/MariaDB version are you running? This sounds like a database issue.

 

23 minutes ago, HighFlyerPL185 said:

Google maps also do not work, will this suffice on DavidJClark/phpvms repository

Yep that's another known issue (since Google changed their mapping API terms). The link to change to OSM maps on Nabeel's github is useful and people have had success with that method. The full discussion is here:

 

24 minutes ago, HighFlyerPL185 said:

Are these issues addressed in DavidJClark/phpvms repository ... or maybe is it worth starting from scratch with ProAviaAZ/phpvms repo ? Are they also addressed there ? Is this similar to the 2.1.935 version ?

Unfortunately not, you'd have to make the same changes to the map files in whichever phpVMS version you use. But the process is the same for all of them, just with slight changes to the files and file extension (.tpl vs .php).

If you are planning on starting from scratch then ProAvia's repo is a good start especially if you are on a high php version. See here.

 

27 minutes ago, HighFlyerPL185 said:

Is the skin conversion as easy as drag n drop to /lib/skins directory ?

I addressed this at the start, it's drag and drop but then you would have to change your file extension and watch out for any errors and fix them as they pop up.

Link to post
Share on other sites

I'm happy actually with no upgrades. The issue is that I have a working install, but only locally, on UsbWebServer. I'd like to start with a fresh DB on some sort of a paid hosting (or again, does drag n drop the whole 'solution' from localhost work ?). I have 2.1.935 running on PHP 5.4.
 

47 minutes ago, web541 said:

 


This is perfect, thanks - all the links in one place :) vms 2x should be good, that's what I'm running locally.

Link to post
Share on other sites
On 10/19/2020 at 8:38 AM, HighFlyerPL185 said:

I'd like to start with a fresh DB on some sort of a paid hosting (or again, does drag n drop the whole 'solution' from localhost work ?)

It depends what sort of hosting you go for (e.g. shared) but generally all you need to do is ensure the correct PHP and MySQL versions are supported by your host and you've selected them properly. Then I would upload a fresh download of phpVMS, go to the /install url and follow the prompts.

When that's done, you'll have a fresh database, so depending on how much you have altered your localhost install, you could either upload your skin(s) and modules individually to the new install OR delete the new phpVMS installation, drag and drop your localhost installation into your hosting and change the details at the top of your core/local.config.php file.

No guarantees there won't be issues though, so be prepared to fix a few if you come across them.

 

In regards to the airport fetching, you can now check this post out and give it a try:

Although since you are using phpVMS 2.x then the files may be slightly different so it's possible that you'll need to manually import the changes to your own install.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...